# General Translation Platform: Aggiorna le informazioni del Progetto
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/project/update-project.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Aggiorna l'impostazione regionale predefinita del Progetto o la configurazione della distribuzione CDN. Riferimento API per Aggiorna le informazioni del Progetto.

{/* Questo file è stato generato da Fumadocs. Non modificare direttamente questo file. Eventuali modifiche devono essere apportate eseguendo nuovamente il comando di generazione. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/info/{projectId}`

**Operation ID:** `updateProjectInfo`

**Tags:** `Project`

**Summary:** Update Project information

Update the Project's default locale or CDN delivery setting.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `projectId` (path, string, required)
- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `defaultLocale` (string)
- `cdnEnabled` (boolean)

### Responses

**200**: Project settings updated
Response body (`application/json`, object):
- `success` (true, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
